lua-dbi-sqlite3_0.7.1-2_i386.deb


Advertisement

Description

lua-dbi-sqlite3 - DBI library for the Lua language, sqlite3 backend

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename lua-dbi-sqlite3_0.7.1-2_i386.deb
Package name lua-dbi-sqlite3
Package version 0.7.1
Package release 2
Package architecture i386
Package type deb
Category interpreters
Homepage https://github.com/mwild1/luadbi
License -
Maintainer Enrico Tassi <gareuselesinge@debian.org>
Download size 11.83 KB
Installed size 93.00 KB
Lua DBI is a database interface library for Lua. It is designed to provide a
RDBMS agnostic API for handling database operations. LuaDBI also provides
support for prepared statement handles, placeholders and bind parameters for
all database operations.
This package contains the sqlite3 backend.
Lua DBI is a better alternative to lua-sql since it supports prepared
statements.

Alternatives

Package Version Architecture Repository
lua-dbi-sqlite3_0.7.1-2_amd64.deb 0.7.1 amd64 Debian Main
lua-dbi-sqlite3 - - -

Requires

Name Value
libc6 >= 2.4
libsqlite3-0 >= 3.5.9
lua-dbi-common -

Provides

Name Value
lua5.1-dbi-sqlite3 -
lua5.2-dbi-sqlite3 -
lua5.3-dbi-sqlite3 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package lua-dbi-sqlite3_0.7.1-2_i386.deb
Source Package lua-dbi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lua-dbi-sqlite3 deb package:
    # sudo apt-get install lua-dbi-sqlite3

Files

Path
/usr/lib/i386-linux-gnu/liblua5.1-dbi-sqlite3.so.0
/usr/lib/i386-linux-gnu/liblua5.1-dbi-sqlite3.so.0.0.0
/usr/lib/i386-linux-gnu/liblua5.2-dbi-sqlite3.so.0
/usr/lib/i386-linux-gnu/liblua5.2-dbi-sqlite3.so.0.0.0
/usr/lib/i386-linux-gnu/liblua5.3-dbi-sqlite3.so.0
/usr/lib/i386-linux-gnu/liblua5.3-dbi-sqlite3.so.0.0.0
/usr/lib/i386-linux-gnu/lua/5.1/dbd/sqlite3.so
/usr/lib/i386-linux-gnu/lua/5.2/dbd/sqlite3.so
/usr/lib/i386-linux-gnu/lua/5.3/dbd/sqlite3.so
/usr/share/doc/lua-dbi-sqlite3/changelog.Debian.gz
/usr/share/doc/lua-dbi-sqlite3/copyright

Changelog

2019-01-09 - Victor Seva <vseva@debian.org>
lua-dbi (0.7.1-2) unstable; urgency=medium
* add upstream patches for fix postgresql issues
2018-10-19 - Victor Seva <vseva@debian.org>
lua-dbi (0.7.1-1) unstable; urgency=medium
* remove already applied patches from upstream
* New upstream version 0.7.1
2018-03-06 - Victor Seva <vseva@debian.org>
lua-dbi (0.6-2) unstable; urgency=medium
* fix coredump on postgresql (already applied upstream master)
* fix capitalization-error-in-description lintian warnings
2018-03-05 - Victor Seva <vseva@debian.org>
lua-dbi (0.6-1) unstable; urgency=medium
* add myself to Uploaders. wrap-and-sort -sat
* update Vcs-* migrated to salsa
* update upstream
* New upstream version 0.6
* update compat to 10, Standards-Version to 4.1.3 and remove dbg packages
* add support for lua5.2 and lua5.3
* remove remove-shebang.patch (already applied upstream)
* add patches fixing warnings (already applied in upstream master)
* update LUA_MODNAME(_CPART)
2016-12-16 - Mathieu Parent <sathieu@debian.org>
lua-dbi (0.5.hg5ba1dd988961-4) unstable; urgency=medium
* Team upload
* Replace Build-Depends: libmysqlclient-dev by default-libmysqlclient-dev
(Closes: #845871)
2015-08-15 - Enrico Tassi <gareuselesinge@debian.org>
lua-dbi (0.5.hg5ba1dd988961-3) unstable; urgency=medium
* Do not pre-depend on multiarch-support
2013-09-18 - Enrico Tassi <gareuselesinge@debian.org>
lua-dbi (0.5.hg5ba1dd988961-2) unstable; urgency=low
* Build-depend on postgresql-server-dev-all
2013-08-10 - Enrico Tassi <gareuselesinge@debian.org>
lua-dbi (0.5.hg5ba1dd988961-1) unstable; urgency=low
* New upstream snapshot fixing mysql bug
* Packaging moved to git
2012-06-30 - Enrico Tassi <gareuselesinge@debian.org>
lua-dbi (0.5+svn78-5~dbg4matthew1) unstable; urgency=low
* debian/compat set to 9
* new package lua-dbi-mysql-dbg
* new package lua-dbi-sqlite3-dbg
* new package lua-dbi-postgresql-dbg
2012-06-29 - Enrico Tassi <gareuselesinge@debian.org>
lua-dbi (0.5+svn78-4) unstable; urgency=low
* Add patch preventing an off by one in mysql driver:
http://code.matthewwild.co.uk/luadbi/rev/5ba1dd988961

See Also

Package Description
lua-discount-dev_2.1.8-3_i386.deb discount development files for the Lua language
lua-discount_2.1.8-3_i386.deb Discount library for the Lua language
lua-dkjson_2.5-3_all.deb JSON module written in Lua
lua-doc_3.0.1+gitdb9e868-1_all.deb Documentation generator for lua
lua-event-dev_0.4.6-1_i386.deb libevent development files for the Lua language
lua-event_0.4.6-1_i386.deb asynchronous event notification library for Lua
lua-expat-dev_1.3.0-4_i386.deb libexpat development files for the Lua language
lua-expat_1.3.0-4_i386.deb libexpat bindings for the Lua language
lua-fifo_0.2-3_all.deb FIFO implementation for Lua
lua-filesystem-dev_1.6.3-1_i386.deb luafilesystem development files for the Lua language
lua-filesystem_1.6.3-1_i386.deb luafilesystem library for the Lua language
lua-gall-doc_1.3-1_all.deb Documentation for lua-gall
lua-gall_1.3-1+b2_i386.deb Git Abstraction Layer for Lua
lua-geoip-dev_0.1.2+git20160613-3_i386.deb Development files for lua-geoip library
lua-geoip_0.1.2+git20160613-3_i386.deb GeoIP library bindings for the Lua language
Advertisement
Advertisement